/// <reference types="ignite-ui" />
import { IterableDiffers, ElementRef, KeyValueDiffers, ChangeDetectorRef, Renderer2 } from '@angular/core';
import { IgControlBase } from '../igcontrolbase/igcontrolbase';
import * as i0 from "@angular/core";
export declare class IgBulletGraphComponent extends IgControlBase<IgBulletGraph> {
    constructor(el: ElementRef, renderer: Renderer2, differs: IterableDiffers, kvalDiffers: KeyValueDiffers, cdr: ChangeDetectorRef);
    /**
     * Returns a string containing the names of all the ranges delimited with a \n symbol.
     */
    getRangeNames(): void;
    /**
     * Adds a new range to the bullet graph.
     *
     * @param value     The range object to be added.
     */
    addRange(value: object): void;
    /**
     * Removes a range from the bullet graph.
     *
     * @param value     A JS object with properties set as follows: name: nameOfTheRangeToRemove, remove: true
     */
    removeRange(value: object): void;
    /**
     * Updates the specified range of the bullet graph.
     *
     * @param value     The range object to be updated.
     */
    updateRange(value: object): void;
    /**
     * Returns information about how the bullet graph is rendered.
     */
    exportVisualData(): object;
    /**
     * Causes all pending changes of the bullet graph e.g. by changed property values to be rendered immediately.
     */
    flush(): void;
    /**
     * Destroys widget.
     */
    destroy(): void;
    /**
     * Re-polls the css styles for the widget. Use this method when the css styles have been modified.
     */
    styleUpdated(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<IgBulletGraphComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IgBulletGraphComponent, "ig-bullet-graph", never, { "widgetId": { "alias": "widgetId"; "required": false; }; "options": { "alias": "options"; "required": false; }; "changeDetectionInterval": { "alias": "changeDetectionInterval"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "create": { "alias": "create"; "required": false; }; "width": { "alias": "width"; "required": false; }; "height": { "alias": "height"; "required": false; }; "ranges": { "alias": "ranges"; "required": false; }; "rangeToolTipTemplate": { "alias": "rangeToolTipTemplate"; "required": false; }; "valueToolTipTemplate": { "alias": "valueToolTipTemplate"; "required": false; }; "targetValueToolTipTemplate": { "alias": "targetValueToolTipTemplate"; "required": false; }; "orientation": { "alias": "orientation"; "required": false; }; "rangeBrushes": { "alias": "rangeBrushes"; "required": false; }; "rangeOutlines": { "alias": "rangeOutlines"; "required": false; }; "minimumValue": { "alias": "minimumValue"; "required": false; }; "maximumValue": { "alias": "maximumValue"; "required": false; }; "targetValue": { "alias": "targetValue"; "required": false; }; "targetValueName": { "alias": "targetValueName"; "required": false; }; "value": { "alias": "value"; "required": false; }; "valueName": { "alias": "valueName"; "required": false; }; "rangeInnerExtent": { "alias": "rangeInnerExtent"; "required": false; }; "rangeOuterExtent": { "alias": "rangeOuterExtent"; "required": false; }; "valueInnerExtent": { "alias": "valueInnerExtent"; "required": false; }; "valueOuterExtent": { "alias": "valueOuterExtent"; "required": false; }; "interval": { "alias": "interval"; "required": false; }; "ticksPostInitial": { "alias": "ticksPostInitial"; "required": false; }; "ticksPreTerminal": { "alias": "ticksPreTerminal"; "required": false; }; "labelInterval": { "alias": "labelInterval"; "required": false; }; "labelExtent": { "alias": "labelExtent"; "required": false; }; "labelsPostInitial": { "alias": "labelsPostInitial"; "required": false; }; "labelsPreTerminal": { "alias": "labelsPreTerminal"; "required": false; }; "minorTickCount": { "alias": "minorTickCount"; "required": false; }; "tickStartExtent": { "alias": "tickStartExtent"; "required": false; }; "tickEndExtent": { "alias": "tickEndExtent"; "required": false; }; "tickStrokeThickness": { "alias": "tickStrokeThickness"; "required": false; }; "tickBrush": { "alias": "tickBrush"; "required": false; }; "fontBrush": { "alias": "fontBrush"; "required": false; }; "valueBrush": { "alias": "valueBrush"; "required": false; }; "valueOutline": { "alias": "valueOutline"; "required": false; }; "valueStrokeThickness": { "alias": "valueStrokeThickness"; "required": false; }; "minorTickStartExtent": { "alias": "minorTickStartExtent"; "required": false; }; "minorTickEndExtent": { "alias": "minorTickEndExtent"; "required": false; }; "minorTickStrokeThickness": { "alias": "minorTickStrokeThickness"; "required": false; }; "minorTickBrush": { "alias": "minorTickBrush"; "required": false; }; "isScaleInverted": { "alias": "isScaleInverted"; "required": false; }; "backingBrush": { "alias": "backingBrush"; "required": false; }; "backingOutline": { "alias": "backingOutline"; "required": false; }; "backingStrokeThickness": { "alias": "backingStrokeThickness"; "required": false; }; "backingInnerExtent": { "alias": "backingInnerExtent"; "required": false; }; "backingOuterExtent": { "alias": "backingOuterExtent"; "required": false; }; "scaleStartExtent": { "alias": "scaleStartExtent"; "required": false; }; "scaleEndExtent": { "alias": "scaleEndExtent"; "required": false; }; "targetValueBrush": { "alias": "targetValueBrush"; "required": false; }; "targetValueBreadth": { "alias": "targetValueBreadth"; "required": false; }; "targetValueInnerExtent": { "alias": "targetValueInnerExtent"; "required": false; }; "targetValueOuterExtent": { "alias": "targetValueOuterExtent"; "required": false; }; "targetValueOutline": { "alias": "targetValueOutline"; "required": false; }; "targetValueStrokeThickness": { "alias": "targetValueStrokeThickness"; "required": false; }; "transitionDuration": { "alias": "transitionDuration"; "required": false; }; "showToolTipTimeout": { "alias": "showToolTipTimeout"; "required": false; }; "showToolTip": { "alias": "showToolTip"; "required": false; }; "font": { "alias": "font"; "required": false; }; "pixelScalingRatio": { "alias": "pixelScalingRatio"; "required": false; }; }, { "formatLabel": "formatLabel"; "alignLabel": "alignLabel"; }, never, ["*"], false, never>;
}
