/// <reference types="ignite-ui" />
import { ElementRef, IterableDiffers, KeyValueDiffers, ChangeDetectorRef, Renderer2, OnInit } from '@angular/core';
import { IgControlBase } from '../igcontrolbase/igcontrolbase';
import * as i0 from "@angular/core";
export declare class IgFunnelChartComponent extends IgControlBase<IgFunnelChart> implements OnInit {
    constructor(el: ElementRef, renderer: Renderer2, differs: IterableDiffers, kvalDiffers: KeyValueDiffers, cdr: ChangeDetectorRef);
    set dataSource(value: any);
    private _dataSource;
    ngOnInit(): void;
    /**
     * Gets array of selected slice items.
     *
     * @param selection     Array or selected slice items.
     * @return array|object If parameter is undefined, then array of selected items is returned.
     * Otherwise, it returns reference to igFunnelChart.
     */
    selectedSliceItems(selection?: any[]): any[];
    /**
     * Gets sets array of indexes of selected slices.
     *
     * @param selection     Array or selected slice indexes.
     * @return array|object     If parameter is undefined, then array of selected indexes is returned.
     * Otherwise, it returns reference to igFunnelChart.
     */
    selectedSliceIndexes(selection?: any[]): any[];
    /**
     * Checks if slice is selected.
     *
     * @param slice     Index of slice or reference to slice-data-item.
     */
    isSelected(slice: object): boolean;
    /**
     * Toggles selected state of slice.
     *
     * @param slice     Index of slice or reference to slice-data-item.
     */
    toggleSelection(slice: object): object;
    exportVisualData(): void;
    /**
     * Destroys widget.
     */
    destroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<IgFunnelChartComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IgFunnelChartComponent, "ig-funnel-chart", never, { "widgetId": { "alias": "widgetId"; "required": false; }; "options": { "alias": "options"; "required": false; }; "changeDetectionInterval": { "alias": "changeDetectionInterval"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "create": { "alias": "create"; "required": false; }; "width": { "alias": "width"; "required": false; }; "height": { "alias": "height"; "required": false; }; "tooltipTemplate": { "alias": "tooltipTemplate"; "required": false; }; "maxRecCount": { "alias": "maxRecCount"; "required": false; }; "dataSource": { "alias": "dataSource"; "required": false; }; "dataSourceType": { "alias": "dataSourceType"; "required": false; }; "dataSourceUrl": { "alias": "dataSourceUrl"; "required": false; }; "responseTotalRecCountKey": { "alias": "responseTotalRecCountKey"; "required": false; }; "responseDataKey": { "alias": "responseDataKey"; "required": false; }; "bezierPoints": { "alias": "bezierPoints"; "required": false; }; "legend": { "alias": "legend"; "required": false; }; "valueMemberPath": { "alias": "valueMemberPath"; "required": false; }; "brushes": { "alias": "brushes"; "required": false; }; "outlines": { "alias": "outlines"; "required": false; }; "bottomEdgeWidth": { "alias": "bottomEdgeWidth"; "required": false; }; "innerLabelMemberPath": { "alias": "innerLabelMemberPath"; "required": false; }; "outerLabelMemberPath": { "alias": "outerLabelMemberPath"; "required": false; }; "innerLabelVisibility": { "alias": "innerLabelVisibility"; "required": false; }; "outerLabelVisibility": { "alias": "outerLabelVisibility"; "required": false; }; "outerLabelAlignment": { "alias": "outerLabelAlignment"; "required": false; }; "funnelSliceDisplay": { "alias": "funnelSliceDisplay"; "required": false; }; "formatInnerLabel": { "alias": "formatInnerLabel"; "required": false; }; "formatOuterLabel": { "alias": "formatOuterLabel"; "required": false; }; "transitionDuration": { "alias": "transitionDuration"; "required": false; }; "isInverted": { "alias": "isInverted"; "required": false; }; "useBezierCurve": { "alias": "useBezierCurve"; "required": false; }; "allowSliceSelection": { "alias": "allowSliceSelection"; "required": false; }; "useUnselectedStyle": { "alias": "useUnselectedStyle"; "required": false; }; "selectedSliceStyle": { "alias": "selectedSliceStyle"; "required": false; }; "unselectedSliceStyle": { "alias": "unselectedSliceStyle"; "required": false; }; "legendItemBadgeTemplate": { "alias": "legendItemBadgeTemplate"; "required": false; }; "useOuterLabelsForLegend": { "alias": "useOuterLabelsForLegend"; "required": false; }; "textStyle": { "alias": "textStyle"; "required": false; }; "outerLabelTextStyle": { "alias": "outerLabelTextStyle"; "required": false; }; "outlineThickness": { "alias": "outlineThickness"; "required": false; }; "pixelScalingRatio": { "alias": "pixelScalingRatio"; "required": false; }; "outerLabelTextColor": { "alias": "outerLabelTextColor"; "required": false; }; "textColor": { "alias": "textColor"; "required": false; }; }, { "dataBinding": "dataBinding"; "dataBound": "dataBound"; "updateTooltip": "updateTooltip"; "hideTooltip": "hideTooltip"; "sliceClicked": "sliceClicked"; }, never, ["*"], false, never>;
}
