/// <reference types="ignite-ui" />
import { ElementRef } from '@angular/core';
import { Feature } from '../feature';
import * as i0 from "@angular/core";
export declare class IgGridPagingFeature extends Feature<IgGridPaging> {
    constructor(el: ElementRef);
    /**
     * Gets/Sets the current page index, delegates data binding and paging to [$.ig.DataSource](ig.datasource).
     *
     * @param index     The page index to go to.
     */
    pageIndex(index?: number): number;
    /**
     * Gets/Sets the page size. If no parameter is specified, just returns the current page size.
     *
     * @param size     The new page size.
     */
    pageSize(size?: number): number;
    /**
     * Destroys the igGridPaging feature by removing all elements in the pager area,
     * unbinding events, and resetting data to discard data filtering on paging.
     */
    destroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<IgGridPagingFeature, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<IgGridPagingFeature, "paging", never, { "disabled": { "alias": "disabled"; "required": false; }; "create": { "alias": "create"; "required": false; }; "pageSize": { "alias": "pageSize"; "required": false; }; "recordCountKey": { "alias": "recordCountKey"; "required": false; }; "pageSizeUrlKey": { "alias": "pageSizeUrlKey"; "required": false; }; "pageIndexUrlKey": { "alias": "pageIndexUrlKey"; "required": false; }; "currentPageIndex": { "alias": "currentPageIndex"; "required": false; }; "type": { "alias": "type"; "required": false; }; "showPageSizeDropDown": { "alias": "showPageSizeDropDown"; "required": false; }; "pageSizeDropDownLabel": { "alias": "pageSizeDropDownLabel"; "required": false; }; "pageSizeDropDownTrailingLabel": { "alias": "pageSizeDropDownTrailingLabel"; "required": false; }; "pageSizeDropDownLocation": { "alias": "pageSizeDropDownLocation"; "required": false; }; "showPagerRecordsLabel": { "alias": "showPagerRecordsLabel"; "required": false; }; "pagerRecordsLabelTemplate": { "alias": "pagerRecordsLabelTemplate"; "required": false; }; "nextPageLabelText": { "alias": "nextPageLabelText"; "required": false; }; "prevPageLabelText": { "alias": "prevPageLabelText"; "required": false; }; "firstPageLabelText": { "alias": "firstPageLabelText"; "required": false; }; "lastPageLabelText": { "alias": "lastPageLabelText"; "required": false; }; "showFirstLastPages": { "alias": "showFirstLastPages"; "required": false; }; "showPrevNextPages": { "alias": "showPrevNextPages"; "required": false; }; "currentPageDropDownLeadingLabel": { "alias": "currentPageDropDownLeadingLabel"; "required": false; }; "currentPageDropDownTrailingLabel": { "alias": "currentPageDropDownTrailingLabel"; "required": false; }; "currentPageDropDownTooltip": { "alias": "currentPageDropDownTooltip"; "required": false; }; "pageSizeDropDownTooltip": { "alias": "pageSizeDropDownTooltip"; "required": false; }; "pagerRecordsLabelTooltip": { "alias": "pagerRecordsLabelTooltip"; "required": false; }; "prevPageTooltip": { "alias": "prevPageTooltip"; "required": false; }; "nextPageTooltip": { "alias": "nextPageTooltip"; "required": false; }; "firstPageTooltip": { "alias": "firstPageTooltip"; "required": false; }; "lastPageTooltip": { "alias": "lastPageTooltip"; "required": false; }; "pageTooltipFormat": { "alias": "pageTooltipFormat"; "required": false; }; "pageSizeList": { "alias": "pageSizeList"; "required": false; }; "pageCountLimit": { "alias": "pageCountLimit"; "required": false; }; "visiblePageCount": { "alias": "visiblePageCount"; "required": false; }; "defaultDropDownWidth": { "alias": "defaultDropDownWidth"; "required": false; }; "delayOnPageChanged": { "alias": "delayOnPageChanged"; "required": false; }; "persist": { "alias": "persist"; "required": false; }; "inherit": { "alias": "inherit"; "required": false; }; }, { "pageIndexChanging": "pageIndexChanging"; "pageIndexChanged": "pageIndexChanged"; "pageSizeChanging": "pageSizeChanging"; "pageSizeChanged": "pageSizeChanged"; "pagerRendering": "pagerRendering"; "pagerRendered": "pagerRendered"; }, never, never, false, never>;
}
