/// <reference types="ignite-ui" />
import { ElementRef } from '@angular/core';
import { Feature } from '../feature';
import * as i0 from "@angular/core";
export declare class IgGridResizingFeature extends Feature<IgGridResizing> {
    constructor(el: ElementRef);
    /**
     * Destroys the resizing widget
     */
    destroy(): void;
    /**
     * Resizes a column to a specified width in pixels, percents or auto if no width is specified.
     *
     * @param column    An identifier for the column.
     * If a number is provided it will be used as a columnIndex else if a strings is provided it will be used as a columnKey.
     * @param width    Width of the column in pixels or percents.
     * If no width or "*" is specified the column will be auto-sized to the width of the data in it (including header and footer cells).
     */
    resize(column: object, width?: object): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<IgGridResizingFeature, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<IgGridResizingFeature, "resizing", never, { "disabled": { "alias": "disabled"; "required": false; }; "create": { "alias": "create"; "required": false; }; "allowDoubleClickToResize": { "alias": "allowDoubleClickToResize"; "required": false; }; "deferredResizing": { "alias": "deferredResizing"; "required": false; }; "columnSettings": { "alias": "columnSettings"; "required": false; }; "handleThreshold": { "alias": "handleThreshold"; "required": false; }; "inherit": { "alias": "inherit"; "required": false; }; }, { "columnResizing": "columnResizing"; "columnResizingRefused": "columnResizingRefused"; "columnResized": "columnResized"; }, never, never, false, never>;
}
