/// <reference types="ignite-ui" />
import { ElementRef, IterableDiffers, KeyValueDiffers, ChangeDetectorRef, Renderer2 } from '@angular/core';
import { IgContentControlBase } from '../igcontrolbase/igcontentcontrolbase';
import * as i0 from "@angular/core";
export declare class IgLayoutManagerComponent extends IgContentControlBase<IgLayoutManager> {
    constructor(el: ElementRef, renderer: Renderer2, differs: IterableDiffers, kvalDiffers: KeyValueDiffers, cdr: ChangeDetectorRef);
    /**
     * Triggers recalculation of the layout dimensions. Layouts may not need to be reflowed manually,
     * if their sizes are in percentages (i.e. they are responsive by default)
     * This can be particularly useful with a grid layout, when the container has percentage sizes,
     * but items are calculated in pixels and positioned absolutely in the container.
     *
     * @param forceReflow Indicates whether the reflow should be forced.
     * Useful in cases where the items size and position was changed manually.
     * @param animationDuration The animation duration to be used for this reflow only. Supported only for Grid Layout mode.
     * @param event Indicates the browser even which triggered this action (not API).
     */
    reflow(forceReflow?: boolean, animationDuration?: number, event?: object): void;
    /**
     * Destroy is part of the jQuery UI widget API and does the following:
     * 1. Remove custom CSS classes that were added.
     * 2. Remove any elements that were added at widget's initialization and after that, which didn't below to the original markup
     * 3. Unbind all events that were bound.
     */
    destroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<IgLayoutManagerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IgLayoutManagerComponent, "ig-layout-manager", never, { "widgetId": { "alias": "widgetId"; "required": false; }; "options": { "alias": "options"; "required": false; }; "changeDetectionInterval": { "alias": "changeDetectionInterval"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "create": { "alias": "create"; "required": false; }; "borderLayout": { "alias": "borderLayout"; "required": false; }; "gridLayout": { "alias": "gridLayout"; "required": false; }; "height": { "alias": "height"; "required": false; }; "itemCount": { "alias": "itemCount"; "required": false; }; "items": { "alias": "items"; "required": false; }; "layoutMode": { "alias": "layoutMode"; "required": false; }; "width": { "alias": "width"; "required": false; }; }, { "internalResized": "internalResized"; "internalResizing": "internalResizing"; "itemRendered": "itemRendered"; "itemRendering": "itemRendering"; "rendered": "rendered"; }, never, ["*"], false, never>;
}
