/// <reference types="ignite-ui" />
import { ElementRef, IterableDiffers, KeyValueDiffers, ChangeDetectorRef, Renderer2, OnInit } from '@angular/core';
import { IgControlBase } from '../igcontrolbase/igcontrolbase';
import * as i0 from "@angular/core";
export declare class IgNotifierComponent extends IgControlBase<IgNotifier> implements OnInit {
    constructor(el: ElementRef, renderer: Renderer2, differs: IterableDiffers, kvalDiffers: KeyValueDiffers, cdr: ChangeDetectorRef);
    option(): void;
    ngOnInit(): void;
    /**
     * Triggers a notification with a certain state and optional message.
     * The [notifyLevel](ui.ignotifier#options:notifyLevel) option determines if the notification will be displayed.
     *
     * @param state    The state to show notification for.
     * @param message    Optional message to show, overrides defaults.
     */
    notify(state: object, message?: string): void;
    /**
     * Returns true if the notification is currently visible
     */
    isVisible(): void;
    /**
     * Destroys the widget.
     */
    destroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<IgNotifierComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IgNotifierComponent, "ig-notifier", never, { "widgetId": { "alias": "widgetId"; "required": false; }; "options": { "alias": "options"; "required": false; }; "changeDetectionInterval": { "alias": "changeDetectionInterval"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "create": { "alias": "create"; "required": false; }; "closeOnBlur": { "alias": "closeOnBlur"; "required": false; }; "direction": { "alias": "direction"; "required": false; }; "position": { "alias": "position"; "required": false; }; "width": { "alias": "width"; "required": false; }; "height": { "alias": "height"; "required": false; }; "minWidth": { "alias": "minWidth"; "required": false; }; "maxWidth": { "alias": "maxWidth"; "required": false; }; "maxHeight": { "alias": "maxHeight"; "required": false; }; "animationDuration": { "alias": "animationDuration"; "required": false; }; "contentTemplate": { "alias": "contentTemplate"; "required": false; }; "selectors": { "alias": "selectors"; "required": false; }; "headerTemplate": { "alias": "headerTemplate"; "required": false; }; "showOn": { "alias": "showOn"; "required": false; }; "containment": { "alias": "containment"; "required": false; }; "appendTo": { "alias": "appendTo"; "required": false; }; "state": { "alias": "state"; "required": false; }; "notifyLevel": { "alias": "notifyLevel"; "required": false; }; "mode": { "alias": "mode"; "required": false; }; "allowCSSOnTarget": { "alias": "allowCSSOnTarget"; "required": false; }; "messages": { "alias": "messages"; "required": false; }; "showIcon": { "alias": "showIcon"; "required": false; }; "animationSlideDistance": { "alias": "animationSlideDistance"; "required": false; }; }, { "showing": "showing"; "shown": "shown"; "hiding": "hiding"; "hidden": "hidden"; }, never, ["*"], false, never>;
}
