/// <reference types="ignite-ui" />
import { ElementRef, IterableDiffers, KeyValueDiffers, ChangeDetectorRef, Renderer2, OnInit } from '@angular/core';
import { IgControlBase } from '../igcontrolbase/igcontrolbase';
import * as i0 from "@angular/core";
export declare class IgPopoverComponent extends IgControlBase<IgPopover> implements OnInit {
    constructor(el: ElementRef, renderer: Renderer2, differs: IterableDiffers, kvalDiffers: KeyValueDiffers, cdr: ChangeDetectorRef);
    option(): void;
    ngOnInit(): void;
    /**
     * Destroys the popover widget.
     */
    destroy(): void;
    /**
     * Returns the ID of the element the popover is attached to
     */
    id(): string;
    /**
     * Returns the container for the popover contents
     */
    container(): object;
    /**
     * Shows the popover for the specified target
     *
     * @param trg     The element to show popover for.
     * @param content     The string to set for the popover to show.
     */
    show(trg?: Element, content?: string): void;
    /**
     * Hides the popover for the specified target
     */
    hide(): void;
    /**
     * Gets the currently set content for the popover container
     */
    getContent(): string;
    /**
     * Sets the content for the popover container
     *
     * @param newCnt     The popover content to set.
     */
    setContent(newCnt: string): void;
    /**
     * Gets the popover current target
     */
    target(): object;
    /**
     * Gets the current coordinates of the popover
     */
    getCoordinates(): object;
    /**
     * Sets the popover to specific coordinates.
     *
     * @param pos     The popover coordinates in pixels.
     */
    setCoordinates(pos: object): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<IgPopoverComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IgPopoverComponent, "ig-popover", never, { "widgetId": { "alias": "widgetId"; "required": false; }; "options": { "alias": "options"; "required": false; }; "changeDetectionInterval": { "alias": "changeDetectionInterval"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "create": { "alias": "create"; "required": false; }; "closeOnBlur": { "alias": "closeOnBlur"; "required": false; }; "direction": { "alias": "direction"; "required": false; }; "position": { "alias": "position"; "required": false; }; "width": { "alias": "width"; "required": false; }; "height": { "alias": "height"; "required": false; }; "minWidth": { "alias": "minWidth"; "required": false; }; "maxWidth": { "alias": "maxWidth"; "required": false; }; "maxHeight": { "alias": "maxHeight"; "required": false; }; "animationDuration": { "alias": "animationDuration"; "required": false; }; "contentTemplate": { "alias": "contentTemplate"; "required": false; }; "selectors": { "alias": "selectors"; "required": false; }; "headerTemplate": { "alias": "headerTemplate"; "required": false; }; "showOn": { "alias": "showOn"; "required": false; }; "containment": { "alias": "containment"; "required": false; }; "appendTo": { "alias": "appendTo"; "required": false; }; }, { "showing": "showing"; "shown": "shown"; "hiding": "hiding"; "hidden": "hidden"; }, never, ["*"], false, never>;
}
