/// <reference types="ignite-ui" />
import { ElementRef, IterableDiffers, KeyValueDiffers, ChangeDetectorRef, Renderer2 } from '@angular/core';
import { IgControlBase } from '../igcontrolbase/igcontrolbase';
import * as i0 from "@angular/core";
export declare class IgQRCodeBarcodeComponent extends IgControlBase<IgQRCodeBarcode> {
    constructor(el: ElementRef, renderer: Renderer2, differs: IterableDiffers, kvalDiffers: KeyValueDiffers, cdr: ChangeDetectorRef);
    option(): void;
    /**
     * Returns information about how the barcode is rendered.
     */
    exportVisualData(): object;
    /**
     * Causes all pending changes of the barcode e.g. by changed property values to be rendered immediately.
     */
    flush(): void;
    /**
     * Destroys widget.
     */
    destroy(): void;
    /**
     * Re-polls the css styles for the widget. Use this method when the css styles have been modified.
     */
    styleUpdated(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<IgQRCodeBarcodeComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IgQRCodeBarcodeComponent, "ig-q-r-code-barcode", never, { "widgetId": { "alias": "widgetId"; "required": false; }; "options": { "alias": "options"; "required": false; }; "changeDetectionInterval": { "alias": "changeDetectionInterval"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "create": { "alias": "create"; "required": false; }; "width": { "alias": "width"; "required": false; }; "height": { "alias": "height"; "required": false; }; "backingBrush": { "alias": "backingBrush"; "required": false; }; "backingOutline": { "alias": "backingOutline"; "required": false; }; "backingStrokeThickness": { "alias": "backingStrokeThickness"; "required": false; }; "barBrush": { "alias": "barBrush"; "required": false; }; "fontBrush": { "alias": "fontBrush"; "required": false; }; "font": { "alias": "font"; "required": false; }; "data": { "alias": "data"; "required": false; }; "errorMessageText": { "alias": "errorMessageText"; "required": false; }; "stretch": { "alias": "stretch"; "required": false; }; "barsFillMode": { "alias": "barsFillMode"; "required": false; }; "widthToHeightRatio": { "alias": "widthToHeightRatio"; "required": false; }; "xDimension": { "alias": "xDimension"; "required": false; }; "errorCorrectionLevel": { "alias": "errorCorrectionLevel"; "required": false; }; "sizeVersion": { "alias": "sizeVersion"; "required": false; }; "encodingMode": { "alias": "encodingMode"; "required": false; }; "eciNumber": { "alias": "eciNumber"; "required": false; }; "eciHeaderDisplayMode": { "alias": "eciHeaderDisplayMode"; "required": false; }; "fnc1Mode": { "alias": "fnc1Mode"; "required": false; }; "applicationIndicator": { "alias": "applicationIndicator"; "required": false; }; }, { "errorMessageDisplaying": "errorMessageDisplaying"; "dataChanged": "dataChanged"; }, never, ["*"], false, never>;
}
