/// <reference types="ignite-ui" />
import { ElementRef, IterableDiffers, KeyValueDiffers, ChangeDetectorRef, Renderer2 } from '@angular/core';
import { IgControlBase } from '../igcontrolbase/igcontrolbase';
import * as i0 from "@angular/core";
export declare class IgRatingComponent extends IgControlBase<IgRating> {
    constructor(el: ElementRef, renderer: Renderer2, differs: IterableDiffers, kvalDiffers: KeyValueDiffers, cdr: ChangeDetectorRef);
    /**
     * Gets reference to [igValidator](ui.igvalidator) used by igRating.
     *
     * @param destroy     Request to destroy validator.
     */
    validator(destroy?: boolean): object;
    /**
     * Triggers validation.
     */
    validate(): boolean;
    /**
     * Gets/Sets (selected) value.
     *
     * @param val     New value which is rendered with selected css.
     * @return number|object     If parameter is not 'number', then exact value rendered with selected css is returned.
     * Otherwise, reference to igRating is returned.
     */
    value(val: number): number | object;
    /**
     * Gets/Sets hover value.
     *
     * @param val     New value which will be rendered with hover css when rating gets mouse.
     * @return number|object     If parameter is not "number", then last value which was rendered with hover css is returned.
     * Otherwise, reference to igRating is returned.
     */
    valueHover(val?: number): number | object;
    /**
     * Checks if igRating has focus.
     */
    hasFocus(): boolean;
    /**
     * Sets focus to igRating. That has effect only when options.focusable is enabled.
     */
    focus(): object;
    /**
     * Destroys igRating widget.
     */
    destroy(): object;
    static ɵfac: i0.ɵɵFactoryDeclaration<IgRatingComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IgRatingComponent, "ig-rating", never, { "widgetId": { "alias": "widgetId"; "required": false; }; "options": { "alias": "options"; "required": false; }; "changeDetectionInterval": { "alias": "changeDetectionInterval"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "create": { "alias": "create"; "required": false; }; "vertical": { "alias": "vertical"; "required": false; }; "value": { "alias": "value"; "required": false; }; "valueHover": { "alias": "valueHover"; "required": false; }; "voteCount": { "alias": "voteCount"; "required": false; }; "voteWidth": { "alias": "voteWidth"; "required": false; }; "voteHeight": { "alias": "voteHeight"; "required": false; }; "swapDirection": { "alias": "swapDirection"; "required": false; }; "valueAsPercent": { "alias": "valueAsPercent"; "required": false; }; "focusable": { "alias": "focusable"; "required": false; }; "precision": { "alias": "precision"; "required": false; }; "precisionZeroVote": { "alias": "precisionZeroVote"; "required": false; }; "roundedDecimalPlaces": { "alias": "roundedDecimalPlaces"; "required": false; }; "theme": { "alias": "theme"; "required": false; }; "validatorOptions": { "alias": "validatorOptions"; "required": false; }; "cssVotes": { "alias": "cssVotes"; "required": false; }; }, { "hoverChange": "hoverChange"; "valueChange": "valueChange"; }, never, ["*"], false, never>;
}
