/// <reference types="ignite-ui" />
import { ElementRef, IterableDiffers, KeyValueDiffers, ChangeDetectorRef, Renderer2 } from '@angular/core';
import { IgControlBase } from '../igcontrolbase/igcontrolbase';
import * as i0 from "@angular/core";
export declare class IgSplitButtonComponent extends IgControlBase<IgSplitButton> {
    constructor(el: ElementRef, renderer: Renderer2, differs: IterableDiffers, kvalDiffers: KeyValueDiffers, cdr: ChangeDetectorRef);
    /**
     * Switch to given igToolbar button.
     *
     * @param button . The button jQuery element.
     */
    switchToButton(button: object): void;
    /**
     * Toggle widget state between collapsed and expanded.
     *
     * @param e The igSplitButton to be expanded/collapsed.
     */
    toggle(e: object): object;
    /**
     * Collapse the widget.
     *
     * @param e Indicates the browser event which triggered this action (not API).
     */
    collapse(e?: object): object;
    /**
     * Expands the widget.
     *
     * @param e Indicates the browser event which triggered this action (not API).
     */
    expand(e?: object): object;
    /**
     * Destroy the widget.
     */
    destroy(): void;
    widget(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<IgSplitButtonComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IgSplitButtonComponent, "ig-split-button", never, { "widgetId": { "alias": "widgetId"; "required": false; }; "options": { "alias": "options"; "required": false; }; "changeDetectionInterval": { "alias": "changeDetectionInterval"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "create": { "alias": "create"; "required": false; }; "items": { "alias": "items"; "required": false; }; "defaultItemName": { "alias": "defaultItemName"; "required": false; }; "swapDefaultEnabled": { "alias": "swapDefaultEnabled"; "required": false; }; }, { "click": "click"; "expanded": "expanded"; "expanding": "expanding"; "collapsed": "collapsed"; "collapsing": "collapsing"; }, never, ["*"], false, never>;
}
