/// <reference types="ignite-ui" />
import { ElementRef, IterableDiffers, KeyValueDiffers, ChangeDetectorRef, Renderer2 } from '@angular/core';
import { IgContentControlBase } from '../igcontrolbase/igcontentcontrolbase';
import * as i0 from "@angular/core";
export declare class IgSplitterComponent extends IgContentControlBase<IgSplitter> {
    constructor(el: ElementRef, renderer: Renderer2, differs: IterableDiffers, kvalDiffers: KeyValueDiffers, cdr: ChangeDetectorRef);
    /**
     * Returns the element that represents this widget.
     */
    widget(): object;
    /**
     * Expand the specified panel by index.
     *
     * @param index Specifies the index of the panel to expand.
     */
    expandAt(index: object): void;
    /**
     * Collapse the specified panel.
     *
     * @param index Specifies the index of the panel to collapse.
     */
    collapseAt(index: object): void;
    /**
     * Retrieves the jQuery element of the first panel.
     */
    firstPanel(): object;
    /**
     * Retrieves the jQuery element of the second panel.
     */
    secondPanel(): object;
    /**
     * Refresh splitter layout, use this method to re-render the splitter if some changes to the layout are applied.
     */
    refreshLayout(): void;
    /**
     * You can set new size of the first panel after the splitter is rendered.
     *
     * @param size Specifies the new size of the first panel.
     */
    setFirstPanelSize(size: object): void;
    /**
     * You can set new size of the second panel after the splitter is rendered.
     *
     * @param size Specifies the new size of the second panel.
     */
    setSecondPanelSize(size: object): void;
    /**
     * Destroys the igSplitter widget
     */
    destroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<IgSplitterComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IgSplitterComponent, "ig-splitter", never, { "widgetId": { "alias": "widgetId"; "required": false; }; "options": { "alias": "options"; "required": false; }; "changeDetectionInterval": { "alias": "changeDetectionInterval"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "create": { "alias": "create"; "required": false; }; "width": { "alias": "width"; "required": false; }; "height": { "alias": "height"; "required": false; }; "orientation": { "alias": "orientation"; "required": false; }; "panels": { "alias": "panels"; "required": false; }; "dragDelta": { "alias": "dragDelta"; "required": false; }; "resizeOtherSplitters": { "alias": "resizeOtherSplitters"; "required": false; }; }, { "collapsed": "collapsed"; "expanded": "expanded"; "resizeStarted": "resizeStarted"; "resizing": "resizing"; "resizeEnded": "resizeEnded"; "layoutRefreshing": "layoutRefreshing"; "layoutRefreshed": "layoutRefreshed"; }, never, ["*"], false, never>;
}
