/// <reference types="ignite-ui" />
import { ElementRef, IterableDiffers, KeyValueDiffers, ChangeDetectorRef, Renderer2 } from '@angular/core';
import { IgControlBase } from '../igcontrolbase/igcontrolbase';
import * as i0 from "@angular/core";
export declare class IgSpreadsheetComponent extends IgControlBase<IgSpreadsheet> {
    constructor(el: ElementRef, renderer: Renderer2, differs: IterableDiffers, kvalDiffers: KeyValueDiffers, cdr: ChangeDetectorRef);
    /**
     * Returns an object that represents the pane with the focus.
     */
    getActivePane(): object;
    /**
     * Returns an object that represents the current selection of the active pane.
     */
    getActiveSelection(): object;
    getActiveSelectionCellRangeFormat(): object;
    /**
     * Returns a boolean indicating if the user is currently editing the name of the active worksheet.
     */
    getIsRenamingWorksheet(): boolean;
    getPanes(): void;
    /**
     * Executes the action associated with the specified id.
     *
     * @param action An [enumeration](ig.spreadsheet.SpreadsheetAction) or string that identifies the action to execute.
     */
    executeAction(action: object): boolean;
    /**
     * Forces any pending deferred work to render on the spreadsheet before continuing
     */
    flush(): void;
    /**
     * Destroys the widget.
     */
    destroy(): void;
    /**
     * Notify the spreadsheet that style information used for rendering the spreadsheet may have been updated.
     */
    styleUpdated(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<IgSpreadsheetComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IgSpreadsheetComponent, "ig-spreadsheet", never, { "widgetId": { "alias": "widgetId"; "required": false; }; "options": { "alias": "options"; "required": false; }; "changeDetectionInterval": { "alias": "changeDetectionInterval"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "create": { "alias": "create"; "required": false; }; "width": { "alias": "width"; "required": false; }; "height": { "alias": "height"; "required": false; }; "activeCell": { "alias": "activeCell"; "required": false; }; "isScrollLocked": { "alias": "isScrollLocked"; "required": false; }; "activeWorksheet": { "alias": "activeWorksheet"; "required": false; }; "allowAddWorksheet": { "alias": "allowAddWorksheet"; "required": false; }; "allowDeleteWorksheet": { "alias": "allowDeleteWorksheet"; "required": false; }; "areGridlinesVisible": { "alias": "areGridlinesVisible"; "required": false; }; "areHeadersVisible": { "alias": "areHeadersVisible"; "required": false; }; "enterKeyNavigationDirection": { "alias": "enterKeyNavigationDirection"; "required": false; }; "isEnterKeyNavigationEnabled": { "alias": "isEnterKeyNavigationEnabled"; "required": false; }; "isFormulaBarVisible": { "alias": "isFormulaBarVisible"; "required": false; }; "isInEndMode": { "alias": "isInEndMode"; "required": false; }; "isUndoEnabled": { "alias": "isUndoEnabled"; "required": false; }; "nameBoxWidth": { "alias": "nameBoxWidth"; "required": false; }; "selectionMode": { "alias": "selectionMode"; "required": false; }; "selectedWorksheets": { "alias": "selectedWorksheets"; "required": false; }; "validationInputMessagePosition": { "alias": "validationInputMessagePosition"; "required": false; }; "workbook": { "alias": "workbook"; "required": false; }; "zoomLevel": { "alias": "zoomLevel"; "required": false; }; }, { "actionExecuted": "actionExecuted"; "actionExecuting": "actionExecuting"; "activeCellChanged": "activeCellChanged"; "activePaneChanged": "activePaneChanged"; "activeWorksheetChanged": "activeWorksheetChanged"; "editRangePasswordNeeded": "editRangePasswordNeeded"; "hyperlinkExecuting": "hyperlinkExecuting"; "selectionChanged": "selectionChanged"; "userPromptDisplaying": "userPromptDisplaying"; "workbookDirtied": "workbookDirtied"; }, never, ["*"], false, never>;
}
