/// <reference types="ignite-ui" />
import { ElementRef, IterableDiffers, KeyValueDiffers, ChangeDetectorRef, Renderer2 } from '@angular/core';
import { IgControlBase } from '../igcontrolbase/igcontrolbase';
import * as i0 from "@angular/core";
export declare class IgZoombarComponent extends IgControlBase<IgZoombar> {
    constructor(el: ElementRef, renderer: Renderer2, differs: IterableDiffers, kvalDiffers: KeyValueDiffers, cdr: ChangeDetectorRef);
    /**
     * Destroys the Zoombar widget
     */
    destroy(): void;
    /**
     * Returns the main zoombar element
     */
    widget(): void;
    /**
     * Returns the ID of the element the zoombar is initialized on
     */
    id(): string;
    /**
     * Returns the DIV that is the topmost container of the zoombar widget
     */
    container(): Element;
    /**
     * Returns the element the clone widget is initialized on
     */
    clone(): Element;
    /**
     * Gets or sets the current zoom window
     *
     * @param left     The left parameter of the new zoom window in percentages
     * @param width     The width parameter of the new zoom window in percentages
     */
    zoom(left?: number, width?: number): object;
    static ɵfac: i0.ɵɵFactoryDeclaration<IgZoombarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IgZoombarComponent, "ig-zoombar", never, { "widgetId": { "alias": "widgetId"; "required": false; }; "options": { "alias": "options"; "required": false; }; "changeDetectionInterval": { "alias": "changeDetectionInterval"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "create": { "alias": "create"; "required": false; }; "target": { "alias": "target"; "required": false; }; "clone": { "alias": "clone"; "required": false; }; "width": { "alias": "width"; "required": false; }; "height": { "alias": "height"; "required": false; }; "zoomAction": { "alias": "zoomAction"; "required": false; }; "zoomWindowMoveDistance": { "alias": "zoomWindowMoveDistance"; "required": false; }; "defaultZoomWindow": { "alias": "defaultZoomWindow"; "required": false; }; "zoomWindowMinWidth": { "alias": "zoomWindowMinWidth"; "required": false; }; "hoverStyleAnimationDuration": { "alias": "hoverStyleAnimationDuration"; "required": false; }; "windowPanDuration": { "alias": "windowPanDuration"; "required": false; }; "tabIndex": { "alias": "tabIndex"; "required": false; }; }, { "zoomChanging": "zoomChanging"; "zoomChanged": "zoomChanged"; "providerCreated": "providerCreated"; "windowDragStarting": "windowDragStarting"; "windowDragStarted": "windowDragStarted"; "windowDragging": "windowDragging"; "windowDragEnding": "windowDragEnding"; "windowDragEnded": "windowDragEnded"; "windowResizing": "windowResizing"; "windowResized": "windowResized"; }, never, ["*"], false, never>;
}
